# Search Redeemer Profile
source: https://developer.mastercard.com/digital-redemptions/documentation/use-cases/redeemers-profile/search-redeemer-profile/index.md

## Overview {#overview}

This use case provides the ability to fetch redeemers profile information for a given BCN(Bank Customer Number), BAN(Bank Account Number), RANAC(Random Account),RANCU (Random Customer). It returns the RANAC in the response, which can be used in the redemptions API calls. It also returns household level points and customer role in the household. The cost per point(CPP) value which is configured at the Rewards side can also be fetched if a valid redemptionItemId is passed.

### Pre-requisites {#pre-requisites}

Following are the pre-requisites for the customer to use this endpoint:

Refer to payload encryption in [Use Cases](https://developer.mastercard.com/digital-redemptions/documentation/use-cases/index.md)

## Sequence diagram {#sequence-diagram}

Diagram search-redeemer-profile

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer signs into the customer application.
2. The customer authenticates the consumer.
3. The customer sends a signed request to the Digital Redemptions for providing cardholder's Digital Redemptions program points balance, conversions and other parameters.
4. The request for get redeemer profile have some fields which are NOT mandatory but good to have information. Refer to the field description on the [API reference page](https://developer.mastercard.com/digital-redemptions/documentation/api-reference/index.md) for more information.

* **redemption_item_id** : Identifier for the Reward Item which is set up during partner configuration and will be shared with the Digital Merchant. In order to return conversionFactors in the response redemption_item_id is required.
* **includes** : Explicitly mention attributes to be included in response which are not returned by default. For eg: preferences
* **programId** : Program identifier in which the cardholder enrolled.

5. The following are mandatory request parameters:

* **user_id** : The identifier used to uniquely identify an user.
* **user_id_type** : Type of the user or account identification. Supported identifier is RANAC, RANCU, BAN, BCN.
* **redemptionType** : Supported redemptionType is CASHBACK, MERCHANDISE, TRAVEL.

5. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to the Digital Redemptions in the case of a valid customer.
6. The Digital Redemptions Service validates the request parameters received via the `POST /redeemers/search` endpoint.
7. The Digital Redemptions Service retrieves the available points balance.
8. The Digital Redemptions Service sends a response with program points balance, conversions and other parameters (200).
9. The Digital Redemptions Service sends a response with a status code of 4xx/5xx in case of an invalid request.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

## Endpoint {#endpoint}


API Reference: `POST /redeemers/search`

## Points Values {#points-values}

Each Program may have a different cash value per rewards point - the conversion factor. The response to the Get Redeemer or API Redeemer call (whichever is used by the Merchant) will include the cash value \& currency of the points available, the number of points available, and the specific name of the points (e.g. "Miles" or "Program Points"). The Merchant can use this information to display to the cardholder how many points they have available to redeem, and the cash amount that this would reduce their overall transaction. For example - "Mary, you have 10,500 Accolade Points which are worth $105.00 if you wish to redeem them towards this purchase".
